# Method SSL.File()->connect()

Method connect

  `SSL.Session connect(string|void dest_addr, SSL.Session|void session)`

Description

  Configure as client and set up the connection.

Parameter `dest_addr`

  Optional name of the server that we are connected to.

Parameter `session`

  Session to resume (if any).

Returns

  Returns `0` on handshaking failure in blocking mode, and otherwise the Session object for the connection.

Throws

  Throws an error if a connection already has been established.

See also

  accept()